Bug 1413412 - GNOME under Wayland cannot turn the monitor off
Summary: GNOME under Wayland cannot turn the monitor off
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 21:52 UTC by rosenp
Modified: 2017-12-12 10:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:55:51 UTC
Type: Bug


Attachments (Terms of Use)
acpi dump (619.38 KB, text/plain)
2017-01-15 21:52 UTC, rosenp
no flags Details

Description rosenp 2017-01-15 21:52:38 UTC
Created attachment 1241005 [details]
acpi dump

Description of problem:

Usually when pressing Super+L or idling, the session locks and the monitor turns off. But for me, it goes into a black screen with the backlight still on.

Version-Release number of selected component (if applicable):

gnome-3.22.2-1
kernel 4.8.16

How reproducible:

Always

Steps to Reproduce:
1. Log in as GNOME and not GNOME on Xorg
2. Idle the computer or press Super+L
3. Check to see if the monitor turns off

Actual results:

Monitor is on as well as backlight

Expected results:

Monitor off.

Additional info:

Interestingly enough, if I install the proprietary nvidia drivers, this behavior also applies to Xorg. The backlight control also breaks in that situation.

Hardware is CLEVO P870M, Nvidia GTX 980.

acpidump is also attached. I'm not really sure which information to give. This is probably a kernel bug though.

Comment 1 Fedora End Of Life 2017-11-16 19:00:16 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:55:51 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.